Caddy(8)

NAME

caddy-start - Starts the Caddy process in the background and then returns

SYNOPSIS

caddy start [flags]

DESCRIPTION

Starts the Caddy process, optionally bootstrapped with an initial config file. This command unblocks after the server starts running or fails to run.

If --envfile is specified, an environment file with environment variables in the KEY=VALUE format will be loaded into the Caddy process.

On Windows, the spawned child process will remain attached to the terminal, so closing the window will forcefully stop Caddy; to avoid forgetting this, try using 'caddy run' instead to keep it in the foreground.

OPTIONS

--adapter=""
    Name of config adapter to apply

--config=""
    Configuration file

--envfile=""
    Environment file to load

-h, --help[=false]
    help for start

--pidfile=""
    Path of file to which to write process ID

--watch[=false]
    Reload changed config file automatically

SEE ALSO

caddy(8)

HISTORY

10-May-2025 Auto generated by spf13/cobra